# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2011 TeMPO Consulting, MSF 
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv, fields

class product_product(osv.osv):
    _name = 'product.product'
    _inherit = 'product.product'
    
    def _get_monthly_consumption(self, cr, uid, ids, field_name, arg, context={}):
        '''
        Returns the compute monthly consumption of the product
        '''
        res = {}
        for product in self.browse(cr, uid, ids):
            res[product.id] = 1.00
            
        return res
    
    _columns = {
        'procure_delay': fields.float(digits=(16,2), string='Procurement Lead Time', 
                                        help='It\'s the default time to procure this product. This lead time will be used on the Order cycle procurement computation'),
        'monthly_consumption': fields.function(_get_monthly_consumption, method=True, string='Monthly consumption', readonly=True),
        'reviewed_consumption': fields.float(digits=(16,2), string='Reviewed monthly consumption'),
    }
    
    _defaults = {
        'reviewed_consumption': lambda *a: 0.00,
        'procure_delay': lambda *a: 1,
    }
    
product_product()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4: